Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
anonymization_runs = client.dataframer.anonymization_runs.list()
print(anonymization_runs)curl https://df-api.dataframer.ai/api/dataframer/anonymization-runs/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_name": "<string>",
"detection_method": "<string>",
"pii_types": [
"<string>"
],
"llm_model_name": "<string>",
"created_by_email": "jsmith@example.com",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]Anonymization
List Anonymization Runs
List all anonymization runs for your company, newest first
GET
/
api
/
dataframer
/
anonymization-runs
/
Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
anonymization_runs = client.dataframer.anonymization_runs.list()
print(anonymization_runs)curl https://df-api.dataframer.ai/api/dataframer/anonymization-runs/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_name": "<string>",
"detection_method": "<string>",
"pii_types": [
"<string>"
],
"llm_model_name": "<string>",
"created_by_email": "jsmith@example.com",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]Authorizations
API Key authentication. Format: "Bearer YOUR_API_KEY"
Response
List of anonymization runs
Unique identifier for the anonymization run.
Current status of the anonymization run.
Available options:
PENDING, PROCESSING, SUCCEEDED, FAILED UUID of the seed dataset being anonymized.
Name of the seed dataset.
Entity detection method used.
List of PII/PHI entity types being detected.
LLM model name (when detection_method includes llm).
Email of the user who created this run.
When the run completed.
When the run was created.

